Name:            pygobject3
Version:         3.42.0
Release:         4
Summary:         Provides bindings for GObject based libraries
License:         LGPLv2+ and MIT
URL:             https://wiki.gnome.org/Projects/PyGObject
Source0:         https://download.gnome.org/sources/pygobject/3.42/pygobject-%{version}.tar.xz

BuildRequires:   glib2-devel >= 2.56.0 gobject-introspection-devel >= 1.56.0
BuildRequires:   meson cairo-gobject-devel
BuildRequires:   python3-devel >= 3.6 python3-cairo-devel >= 1.16.0
#for test suite
BuildRequires:   python3-pytest gtk3 dbus-x11 dejavu-fonts xorg-x11-server-Xvfb

%description
PyGObject is a Python package which provides bindings for GObject based libraries such as
GTK, GStreamer, WebKitGTK, GLib, GIO and many more.
PyGObject uses glib, gobject, girepository, libffi and other libraries to access the C
library (libgtk-3.so) in combination with the additional metadata from the accompanying
typelib file (Gtk-3.0.typelib) and dynamically provides a Python interface based on that information.

%package     -n python3-gobject
Summary:        GObject library wrapper for python 3
Requires:       python3-gobject-base%{?_isa} = %{version}-%{release}
Requires:       python3-cairo%{?_isa}

%description -n python3-gobject
The python3-gobject package provides a convenient wrapper for the GObject
library and and other libraries that are compatible with GObject Introspection,
for use in Python 3 programs.

%package     -n python3-gobject-base
Summary:        base package for python3-gobject package
Requires:       gobject-introspection%{?_isa}

%description -n python3-gobject-base
This package provides the non-cairo specific bits of the GObject Introspection
library.

%package        devel
Summary:        Development files for %{name}
Requires:       python3-gobject%{?_isa} = %{version}-%{release}
Requires:       gobject-introspection-devel%{?_isa}

%description    devel
This package contains files required to embed PyGObject

%prep
%autosetup -n pygobject-%{version} -p1

%build
%meson -Dpython=%{__python3}
%meson_build

%install
%meson_install

%check
xvfb-run %{__python3} setup.py test

%pre

%preun

%post

%postun

%files -n python3-gobject
%{python3_sitearch}/gi/_gi_cairo*.so

%files -n python3-gobject-base
%license COPYING
%doc NEWS
%dir %{python3_sitearch}/gi
%{python3_sitearch}/gi/*
%{python3_sitearch}/PyGObject-*.egg-info
%exclude %{python3_sitearch}/gi/_gi_cairo*.so
%{python3_sitelib}/gi/*
%{python3_sitelib}/pygtkcompat/

%files devel
%{_includedir}/pygobject-3.0/pygobject.h
%doc examples/
%dir %{_includedir}/pygobject-3.0/
%{_libdir}/pkgconfig/pygobject-3.0.pc

%changelog
* Wed Nov 16 2022 fuanan <fuanan3@h-partners.com> - 3.42.0-4
- Modify Source0

* Mon Oct 24 2022 zhuofeng <zhuofeng2@huawei.com> - 3.42.0-3
- Rebuild for next release

* Mon Jan 10 2022 fuanan <fuanan3@huawei.com> - 3.42.0-2
- use subpackage xorg-x11-server-Xvfb provide xvfb-run command

* Tue Nov 30 2021 fuanan <fuanan3@huawei.com> - 3.42.0-1
- update version to 3.42.0

* Tue Jul 27 2021 panxiaohe <panxiaohe@huawei.com> - 3.38.0-3
- use python3_sitelib macro for meson upgrade
- add BuildRequires for testsuite
- tests: Remove usage of some deprecated unittest methods
- tests: fix test with glib 2.68 re GLocalFile

* Sat Jun 19 2021 panxiaohe <panxiaohe@huawei.com> - 3.38.0-2
- enable check test suite

* Tue Jan 26 2021 yixiangzhike <zhangxingliang3@huawei.com> - 3.38.0-1
- update to 3.38.0

* Thu Oct 29 2020 panxiaohe <panxiaohe@huawei.com> - 3.36.1-2
- remove python2 subpackages

* Mon Jul 27 2020 zhangxingliang <zhangxingliang3@huawei.com> - 3.36.1-1
- Type:update
- ID:NA
- SUG:NA
- DESC:update to 3.36.1

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-2
- Package init
